%% Spiral Example


%%

theta = 0:pi/50:10*pi;
plot3(sin(theta),cos(theta),theta,'LineWidth',2)
grid on
axis square

%%

%viewinfo;

%%

p = [ sin(theta)' cos(theta)' theta'/20 ];

pos = get(gca,'CameraPosition');
targ = get(gca,'CameraTarget');
[az el] = view();
T = viewmtx(az,el);
A = T(1:3,1:3);
disp(A);

%%

%pt = p - ones(size(theta'))*targ;
pcam = A*p';
pcam = pcam';

% plot orthographic projection (drop third dimension)
plot(pcam(:,1),pcam(:,2));

